Bug 849797 - RFE: anaconda needs fastestmirror functionality
RFE: anaconda needs fastestmirror functionality
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-20 18:07 EDT by joshua
Modified: 2012-08-28 04:05 EDT (History)
5 users (show)

See Also:
Fixed In Version: lorax-18.15-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-28 04:05:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description joshua 2012-08-20 18:07:31 EDT
Description of problem:

Kickstarting from a mirrorlist is fine... what if the machine is in Amsterdam, and my mirrorlist has mirrors in Amsterdam, Seattle, and Thailand... I'm often installing from Thailand.  This makes for a very long install, which is totally unneeded.

Can we get some optional logic added to anaconda such that it can be a little smarter with choosing mirrors?
Comment 1 Chris Lumens 2012-08-22 11:41:35 EDT
Once yum-plugin-fastestmirror is included in the installation environment, we can enable it.
Comment 2 Fedora Update System 2012-08-23 18:19:41 EDT
lorax-18.15-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/lorax-18.15-1.fc18
Comment 3 Fedora Update System 2012-08-23 21:24:16 EDT
Package lorax-18.15-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lorax-18.15-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12621/lorax-18.15-1.fc18
then log in and leave karma (feedback).
Comment 4 Brian Lane 2012-08-27 11:04:58 EDT
Added enable of plugin to anaconda as commit - http://git.fedorahosted.org/cgit/anaconda.git/commit/?id=59ec38a6d65b9b5066343f6adcb6e19208be1ddb
Comment 5 Fedora Update System 2012-08-28 04:05:01 EDT
lorax-18.15-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.